Page MenuHomePhabricator

Add capability to get and set the personalitty function from the C API
ClosedPublic

Authored by deadalnix on Jul 4 2015, 6:24 PM.

Details

Summary

The capability was lost with D10429 where the personality function was set at function level rather than landing pad level. Now there is no way to get/set the personality function from the C API. That is a problem.

Note that the whole thing could be avoided by improving the C API testing, as started by D10725

Diff Detail

Event Timeline

deadalnix updated this revision to Diff 29051.Jul 4 2015, 6:24 PM
deadalnix retitled this revision from to Add capability to get and set the personalitty function from the C API.
deadalnix updated this object.
deadalnix added a subscriber: llvm-commits.
rnk edited edge metadata.Jul 4 2015, 8:18 PM

What is the effect of setting the personality of a landingpad personality now? We should probably make it update the personality of the parent function, so that simple frontends keep working.

Adding this also seems reasonable.

rafael edited edge metadata.Jul 5 2015, 4:35 AM
rafael added a subscriber: rafael.

Should we just delete the old functions? We should at the very least
deprecate them and schedule them for removal.

djasper removed a reviewer: djasper.Jul 6 2015, 4:31 AM

The old function has been deleted? Setting the landing pad is just not possible anymore via the C API.

The old function has been deleted. Setting the landing pad is just not possible anymore via the C API.

Ping ? Can we get that in so that we can at least get the same functionality as before from the C API ?

axw accepted this revision.Jul 13 2015, 3:34 AM
axw added a reviewer: axw.
This revision is now accepted and ready to land.Jul 13 2015, 3:34 AM
axw closed this revision.Jul 13 2015, 6:23 PM
axw added a comment.Jul 13 2015, 6:26 PM

Ping ? Can we get that in so that we can at least get the same functionality as before from the C API ?

Done, thanks for fixing this.